<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Transfection2018/UserFns/getAimultiExp.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_947b0bade59f2ec1a3d6dcc5254e948b.html">Transfection2018</a></li><li class="navelem"><a class="el" href="../../dir_7a5ad7d5dca3599a31868c2bbca96b8c.html">UserFns</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">getAimultiExp.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d5a/get_aimulti_exp_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">function</span> Ai=<a class="code" href="../../d3/d5a/get_aimulti_exp_8m.html#a10582905917885bd4280c84f9afc825c">getAimultiExp</a>(nbeta,covariate_flag)</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keywordtype">id</span>=find(covariate_flag==1);</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keywordflow">if</span> <span class="keywordtype">id</span>==1    </div>
<div class="line"><a name="l00006"></a><span class="lineno"><a class="line" href="../../d3/d5a/get_aimulti_exp_8m.html#a10582905917885bd4280c84f9afc825c">    6</a></span>&#160;tmp=eye(nbeta-1,nbeta);</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;Ai=[tmp(:,1),tmp(:,6),tmp(:,2:5)];</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; tmp=eye(nbeta-1,nbeta);</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; Ai=[tmp(:,6),tmp(:,1:2),tmp(:,3:5)];</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;end</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_aimulti_exp_8m_html_a10582905917885bd4280c84f9afc825c"><div class="ttname"><a href="../../d3/d5a/get_aimulti_exp_8m.html#a10582905917885bd4280c84f9afc825c">getAimultiExp</a></div><div class="ttdeci">function getAimultiExp(in nbeta, in covariate_flag)</div><div class="ttdoc">get_ai_multiExp gets the design matrix for each cell given the covarite flag they have</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
